apiVersion: broker.amq.io/v2alpha5
kind: ActiveMQArtemis
metadata:
  name: amqp-demo-broker1
  application: amqp-demo-broker1
  namespace: entesb-18964
spec:
  deploymentPlan:
    image: placeholder
    size: 1
    requireLogin: false
    persistenceEnabled: false
    journalType: nio
    messageMigration: false
    jolokiaAgentEnabled: false
    managementRBACEnabled: true
  adminUser: admin
  adminPassword: admin
  console:
    expose: true
  acceptors:
    - name: amqps
      port: 5672
      protocols: amqp
      sslEnabled: true
      sslSecret: my-tls-secret
      expose: true
